rte_table_action_encap_config(3)

NAME
rte_table_action_encap_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint64_t encap_mask
union {
struct {
uint32_t data_offset
int vlan
int ip_version
} vxlan
};

Detailed Description

Encap action configuration (per table action profile).

Definition at line 500 of file rte_table_action.h.

Field Documentation

  uint64_t encap_mask
Bit mask defining the set of packet encapsulations enabled for the current table action profile. If bit (1 << N) is set in encap_mask, then packet encapsulation N is enabled, otherwise it is disabled.

See also
    enum rte_table_action_encap_type

Definition at line 507 of file rte_table_action.h.

  uint32_t data_offset
Input packet to be encapsulated: offset within the input packet buffer to the start of the Ethernet frame to be encapsulated. Offset 0 points to the first byte of the MBUF structure.

Definition at line 517 of file rte_table_action.h.

  int vlan
Encapsulation header: non-zero when encapsulation header includes a VLAN tag, zero otherwise.

Definition at line 522 of file rte_table_action.h.

  int ip_version
Encapsulation header: IP version of the IP header within the encapsulation header. Non-zero for IPv4, zero for IPv6.

Definition at line 528 of file rte_table_action.h.

  struct { ... } vxlan
VXLAN specific configuration.

  union { ... }
Encapsulation type specific configuration.

Author

Generated automatically by Doxygen for DPDK from the source code.